<?include('header.php');?>
<div class="menucenter">
<h4 align="center">Проверка выполнения задания.</h4>
<center><b>Ваш текущий IP адрес: </b><span style="color: #ff0000;"><?=getRealIP() ?></span></center>
<br />

<?php

if(!isset($_SESSION["username"]) && !isset($_SESSION["password"]))
{
	echo '<div class=error>Ошибка! Для доступа к данной странице необходимо зарегистрироваться!</div>';
	include('footer.php');
	exit();
}else{


	$username = text($_SESSION["username"]);

	$ban_task = mysql_query("SELECT id FROM seelf_task_ban WHERE nameuser='$username'");
	if(mysql_num_rows($ban_task)>9)
		{
			echo '<div class=error>Ошибка! Вы не можете выполнять задания. На вас поданы жалобы от пользователей.</b>Если вы считаете жалобы не обоснованными напишите администрации в тех поддержку!<br /><a href="ban_task.php">Подробнее &gt;&gt;</a></div>';
			include('footer.php');
			exit();
		}

	if (isset($_GET["id"]))
		{
			if(preg_match("|^[\d]*$|",$_GET['id']))
				{
					$id = intval($_GET["id"]);
				}else{
					echo '<div class=error>Ошибка такого задания нет!</div>';
					include('footer.php');
					exit();
				}


$checkid = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND credits>0");
			$id_exist = mysql_num_rows($checkid);

			if ($id_exist<1)
				{
					echo '<div class=error>Ошибка такого задания нет!</div>';
					include('footer.php');
					exit();
				}

            $tzv = mysql_fetch_assoc($checkid);

            $checkid_pay = mysql_query("SELECT `id`,`ident`,`time` FROM `seelf_task_pay` WHERE nameuser='$username' AND ident='$id' ORDER BY id DESC");
			$zad = mysql_fetch_assoc($checkid_pay);
			if (($tzv["24h"]==0 and $zad["id"]!='') or ($tzv["24h"]==1 and $zad["time"] > time()-86400))
				{   if($tzv["24h"]==1){$viv_z = 'Один раз в 24 часа';}else{$viv_z = 'Один раз за все время';}
					echo '<div class=error>Ошибка! Вы уже выполняли задание № '.$id.'! Задние можно выполнять только: '.$viv_z.'</div>';
					include('footer.php');
					exit();
				}


			$sql = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND credits>0");
			$row = mysql_fetch_assoc($sql);
				$id = $row["id"];
				if($id=="") {echo '<div class=error>Ошибка такого задания нет!</div>'; include('footer.php'); exit();}
				$c_text = $row["c_text"];


			if(isset($_POST["id"]))
				{
					if(preg_match("|^[\d]*$|",$_POST['id']))
						{
							$id = intval($_POST["id"]);
						}else{
							echo '<div class=error>Ошибка такого задания нет!</div>';
							include('footer.php');
							exit();
						}
require_once('bbcode.php');
					$proverka =  bbcod($_POST["proverka"], true, true);
					$date = DATE("d.m.Y");
					$time = time();
					$ip =  getRealIP();

					if(empty($id)){echo '<div class=error>Ошибка такого задания нет!</div>'; include('footer.php'); exit();}
					if(empty($proverka)){echo '<div class=error>Ошибка Вы не указали информацию для подтверждения!</div>'; include('footer.php'); exit();}

						$namep = $row["namep"];
						$title = $row["title"];
						$pay = $row["pay"];

					mysql_query("UPDATE seelf_task SET credits=credits-1, inprogress=inprogress+1 WHERE id='$id'") or die(mysql_error());

					mysql_query("INSERT INTO seelf_task_pay (namep, ident, nameuser, title, c_text, date, time, pay, ip) VALUES('$namep','$id','$username','$title','$proverka','$date','$time','$pay','$ip')") or die(mysql_error());

					echo '<div class=good>Задание успешно добавлено на проверку!';
					echo '<br><a href="task.php">Перейти к списку заданий &gt;&gt;</a></div>';
					include('footer.php');
					exit();
				}else{
					?>
<script type="text/javascript" src="js/bbcod.js"></script>
<form method="post" action="">
<table class='reyt' width="100%" align="center" border="0" cellspacing="0" cellpadding="0">
<thead><tr>
<th align="center" colspan='2'>Для подтверждения выполнения укажите:</th>
</tr></thead>
<tr bgcolor="#ddd"><td style='color:#CC0000;'>&nbsp;-&nbsp;<?php echo $c_text;?></td>
<td><input type="hidden" name="id" value="<?php echo $id;?>"></td></tr>
<tr>
</tr>
<tr>
<td align="center" colspan="2" style='border:1px solid #ccc;border-top:0px;'>
<textarea id="comess" name="proverka" rows=0 class="comtextur" style="height: 100px; width: 550px;" maxlength="1500" value=""></textarea>
</td>
</tr>
<td align='center' colspan='2' style='border:1px solid #ccc;border-top:0px;'><input type="submit" class="ok_wm" value="На проверку" class="button"></td></tr>
					</table></form><?
				}
		}else{
			echo '<font color="red"><b>Ошибка такого задания нет!</b></font><br><br><a href="task.php">Перейти к списку заданий &gt;&gt;</a>';
			include('footer.php');
			exit();
		}

}
include('footer.php');?>